weka.knowledgeflow

## Interface FlowLoader

- All Known Implementing Classes:
    JSONFlowLoader, LegacyFlowLoader

      public interface FlowLoader

  Interface to something that can load a Knowledge Flow
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFlowFileExtension()` Get the extension of the Knowledge Flow file format handled by this loader
    `java.lang.String` | `getFlowFileExtensionDescription()` Get a description of the flow file format handled by this loader
    `Flow` | `readFlow(java.io.File flowFile)` Load a flow from the supplied file
    `Flow` | `readFlow(java.io.InputStream is)` Load a flow from the supplied input stream
    `Flow` | `readFlow(java.io.Reader r)` Load a flow from the supplied reader
    `void` | `setLog(Logger log)` Set a log to use

- - ### Method Detail

    - #### setLog

          void setLog(Logger log)

      Set a log to use
      Parameters:
        `log` - log to use

    - #### getFlowFileExtension

          java.lang.String getFlowFileExtension()

      Get the extension of the Knowledge Flow file format handled by this loader
      Returns:
        the flow file extension

    - #### getFlowFileExtensionDescription

          java.lang.String getFlowFileExtensionDescription()

      Get a description of the flow file format handled by this loader
      Returns:
        a description of the file format handles

    - #### readFlow

          Flow readFlow(java.io.File flowFile)
                 throws WekaException

      Load a flow from the supplied file
      Parameters:
        `flowFile` - the file to load from
      Returns:
        the loaded Flow
      Throws:
        `WekaException` - if a problem occurs

    - #### readFlow

          Flow readFlow(java.io.InputStream is)
                 throws WekaException

      Load a flow from the supplied input stream
      Parameters:
        `is` - the input stream to load from
      Returns:
        the loaded Flow
      Throws:
        `WekaException` - if a problem occurs

    - #### readFlow

          Flow readFlow(java.io.Reader r)
                 throws WekaException

      Load a flow from the supplied reader
      Parameters:
        `r` - the reader to load from
      Returns:
        the loaded Flow
      Throws:
        `WekaException` - if a problem occurs